<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Earthdivers</Series>
  <Number>7</Number>
  <Web>https://www.amazon.com/dp/B0BW1VSXS2</Web>
  <Summary>Guest artist Riccardo Burchielli (DMZ) joins Earthdivers, for a side mission to the Ice Age in the first of a four-issue mini-arc exploring America’s pre-Columbian past! When Martin and Tawny’s children disappeared, the couple barreled into the desert to track them down at any cost. Instead, they ran afoul of another group of rovers who claimed to be saving the world by traveling through a cave portal to the year 1492 to prevent the creation of America—an idea that defied belief until the grieving parents were lured into the cave and vanished in time and space. Now alone, Tawny must adapt to the wild marshlands of prehistoric Florida, circa 20,000 BC, and the breathtaking and bloodthirsty megafauna are the least of her problems when she’s caught in a war between a community of native Paleo-Indians and an occupying Solutrean force. Tawny’s odds of survival are in free fall, but she’s a mother on a mission…and she’s holding on to hope that the cave brought her here for a family reunion.</Summary>
  <Notes>Scraped metadata from Amazon [ASINB0BW1VSXS2]</Notes>
  <Publisher>IDW</Publisher>
  <Genre>Horror, Suspense, Post-Apocalyptic</Genre>
  <PageCount>33</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
